org.eclipse.ecf.core.security

## Interface IConnectContext

    public interface IConnectContext

A connect context for passing in information to the `IContainer.connect(org.eclipse.ecf.core.identity.ID, IConnectContext)` call.

See Also:
  `IContainer.connect(org.eclipse.ecf.core.identity.ID, IConnectContext)`, `ConnectContextFactory`

### Method Summary

All Methods Instance Methods Abstract Methods
`CallbackHandler` `getCallbackHandler()` Get the callbackhandler instance used by the provider to callback into application code.

### Method Detail

#### getCallbackHandler

    CallbackHandler getCallbackHandler()

Get the callbackhandler instance used by the provider to callback into application code. The provider will typically use the callback handler to provide a set of callbacks for getting/retrieving authorization info

Returns:
  CallbackHandler